Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987520 - Putting entries with memcached is ignoring the queue-flush-interval parameter
Summary: Putting entries with memcached is ignoring the queue-flush-interval parameter
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 14:49 UTC by Jakub Markos
Modified: 2018-09-12 22:20 UTC (History)
1 user (show)

Doc Type: Known Issue
Doc Text:
The queue-flush-interval and queue-size attributes of a replicated cache are ignored when data is stored remotely from Memcached client. This is caused by the "distribution-based replication" algorithm in JBoss Data Grid: a key's primary owner might not be the local node, so a synchronous put operation is sent to the key owner, thus overriding the async queue. </para> <para> Consequently, data is replicated immediately and the queue-flush-interval and queue-size attributes are not respected.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker ISPN-3293 Major Resolved Putting entries with memcached is ignoring the queue-flush-interval parameter 2016-05-03 07:57:04 UTC

Description Jakub Markos 2013-07-23 14:49:36 UTC
Please see the linked JIRA for more information.

Comment 2 JBoss JIRA Server 2013-07-26 11:42:54 UTC
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira ISPN-3293

Nothing do to with the issue itself, but

assertTrue(null == mc2.get("key1"));

should be

assertNull(mc2.get("key1"));

Comment 3 JBoss JIRA Server 2013-07-26 11:47:09 UTC
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira ISPN-3293

Which version did this happen on ?

Comment 4 JBoss JIRA Server 2013-07-26 12:42:38 UTC
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira ISPN-3293

This issue is caused by the new "distribution-based replication" algorithm in Infinispan: a key's primary owner might not be the local node, so a synchronous put operation is sent to the key owner, thus overriding the async queue. The fact that the test works for HotRod is probably because the encoding of the key differs. The actual solution to this problem will be solved by ISPN-3371

Comment 5 JBoss JIRA Server 2016-03-23 14:17:04 UTC
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-3293 to Resolved


Note You need to log in before you can comment on or make changes to this bug.